> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contactswing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Aircall Action

> Create Aircall telephony integration actions for call routing and management.

### Authorizations

<ParamField header="Authorization" type="string" required>
  Enter your ContactSwing JWT Bearer token.
</ParamField>

### Request Body

<ParamField body="name" type="string" required>
  Action display name. Example: `My Aircall Action`
</ParamField>

<ParamField body="description" type="string">
  Action purpose. Example: `Test`
</ParamField>

<ParamField body="action_timing" type="string" required>
  When to trigger: `"DURING"`
</ParamField>

<ParamField body="type" type="string" required>
  Action type: `"AIRCALL"`
</ParamField>

<ParamField body="webhook" type="object" required>
  Aircall webhook configuration

  <ParamField body="from" type="integer" required>
    Source number ID. Example: `1768408427`
  </ParamField>

  <ParamField body="to" type="integer" required>
    Destination number ID. Example: `1768408427`
  </ParamField>

  <ParamField body="mandatory" type="boolean">
    Require Aircall response before proceeding
  </ParamField>
</ParamField>

<ParamField body="tags" type="string[]">
  Call tags `[]`
</ParamField>

### Response

**201 Created** - Aircall action created successfully

<ResponseField name="ctx_id" type="string">Request context ID</ResponseField>

<ResponseField name="data" type="object">
  <ResponseField name="action_id" type="string">New Aircall action ID</ResponseField>
  <ResponseField name="name" type="string">Action name</ResponseField>
  <ResponseField name="type" type="string">"AIRCALL"</ResponseField>
</ResponseField>

**400 Bad Request** - Invalid Aircall number IDs or configuration

**401 Unauthorized** - Invalid token
